
html {
	background: #ffffff;
	font-family: 'Roboto', sans-serif;

	--md-color-primary: #ffa726;
	--md-color-light: #ffd95b;
	--md-color-dark: #c77800;
}

body {
	-webkit-touch-callout: none;                /* prevent callout to copy image, etc when tap to hold */
    -webkit-text-size-adjust: none;             /* prevent webkit from resizing text to fit */
    -webkit-user-select: none;                  /* prevent copy paste, to allow, change 'none' to 'text' */

	margin: 0;
	padding: 0;

	position: relative;
}

.header {
	position: relative;

	color: #ffffff;
	background: var(--md-color-primary);
	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);

	width: 100%;
	height: 60px;

	display: flex;
	align-items: center;
	justify-content: space-between;

	z-index: 1002;
}

.header > div:first-child {
    margin-left: 0.5em;
	font-size: 24px;
	font-weight: bold;
}

.header > .button {
	margin-right: 0.75em;
	font-size: 24px;

	color: #ffffff;
	background-color: var(--md-color-dark);
	box-shadow: 0px 1px 5px 0px rgba(0,0,0,0.2), 0px 2px 2px 0px rgba(0,0,0,0.14), 0px 3px 1px -2px rgba(0,0,0,0.12);
	border-radius: 4px;
	padding: 6px 16px;

	transition: all 0.1s;
}

.header > .button:active {
	background: var(--md-color-light);
	transition: all 0s;
}

.container {
	width: 100%;
}

.container ul {
	list-style: none;
	padding: 0;
}

.container ul>li {
	padding: 8px 16px;
	display: flex;
}

.container ul>li.separator {
	margin: 0;
	margin-left: 72px;
	background-color: rgba(0, 0, 0, 0.12);
	border: none;
    height: 1px;
	padding: 0;
}

.img {
	flex-shrink: 0;
	width: 64px;
}

.img > img {
	width: 100%;
	border-radius: 6px;
}

.info  {
	padding-left: 1.25em;
	padding-right: .25em;
	color: rgba(0, 0, 0, 0.87);
	width: 100%;
}

.info > div:first-child {
	display: flex;
	flex-direction: column;
}

.info .name {
	font-size: 1.15em;
}

li .button {
	margin-right: 0.1em;
	font-size: 24px;
	float: right;
	display: flex;
	align-items: center;
	justify-content: center;

	color: #ed2213;
	text-shadow: 0px 1px 5px 0px rgba(0,0,0,0.2), 0px 2px 2px 0px rgba(0,0,0,0.14), 0px 3px 1px -2px rgba(0,0,0,0.12);
	/* border-radius: 4px; */
	/* padding: 6px 16px; */

	transition: all 0.1s;
}

li .button:active {
	color: #99170e;
	transition: all 0s;
}

.dir {
	color: rgba(0, 0, 0, 0.54);
}

.signal {
	float: right;
}

.signal div {
	position: relative;
	display: inline-block;
}

.signal div > i {
	transition: all 0.1s;
	color: #000000;
	background: #ffffff;
	mix-blend-mode: screen;
	display: list-item;
}

.lv-0 {
	background: rgb(54, 54, 54);
}

.lv-1 {
	background: linear-gradient(to left, rgb(54, 54, 54) 0%, rgb(54, 54, 54) 80%, rgb(72, 219, 35) 80%);
}

.lv-2 {
	background: linear-gradient(to left, rgb(54, 54, 54) 0%, rgb(54, 54, 54) 60%, rgb(72, 219, 35) 60%);
}

.lv-3 {
	background: linear-gradient(to left, rgb(54, 54, 54) 0%, rgb(54, 54, 54) 40%, rgb(72, 219, 35) 40%);
}

.lv-4 {
	background: linear-gradient(to left, rgb(54, 54, 54) 0%, rgb(54, 54, 54) 20%, rgb(72, 219, 35) 20%);
}

.lv-5 {
	background: rgb(72, 219, 35);
}

.page {
	width: 100vw;
	min-height: 100vh;
	position: absolute;
}

.config {
	color: #ffffff;
	box-shadow: 0px 1px 5px 0px rgba(0,0,0,0.2), 0px 2px 2px 0px rgba(0,0,0,0.14), 0px 3px 1px -2px rgba(0,0,0,0.12);

	position: absolute;
	right: 24px;

	font-size: 32px;
	border-radius: 50%;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 64px;
	height: 64px;

	transition: all 0.1s;
}

.c-primary {
	bottom: 100px;
	background: var(--md-color-primary);
}

.c-primary:active {
	background: var(--md-color-dark);
}

.c-secundary {
	bottom: 24px;
	background: #77858c;
}

.c-secundary:active {
	background: #454e52;
}

.move-in {
	animation-name: move-in;
	animation-duration: 0.5s;
}

.move-out {
	animation-name: move-out;
	animation-duration: 0.5s;
}

.move-back-in {
	animation-name: move-back-in;
	animation-duration: 0.5s;
}

.move-back-out {
	animation-name: move-back-out;
	animation-duration: 0.5s;
}

.alert span {
	color: #fff;
	padding: 0.3em 0.5em;
	border-radius: 8px;
	background: var(--md-color-primary);
	text-align: center;
	border: none;
	text-transform: uppercase;
}

.alert {
	position: absolute;

	top: 0;
	left: 0;

	width: 100%;
	height: 100vh;

	z-index: 1001;

	display: flex;
	align-items: center;
	justify-content: center;

	backdrop-filter: blur(10px);
}

.alert > div {
	width: 75%;
	height: auto;
	max-height: 70%;

	overflow: scroll;

	border: solid 1px rgb(238, 238, 238);
	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
	border-radius: 5px;
}

.alert > div > div {
	background: #fff;
	padding: 0.3em 0.5em;
	width: 100%;
	word-wrap: break-word;
}

.alert > div > div:nth-child(1) {
	border-bottom: solid 1px rgb(238, 238, 238);
	font-weight: bold;
	text-align: center;
}

.alert > div > div:last-child {
	padding: 0.8em;
	text-align: center;
}

.scanning-html {
	background: none;
}

#qr-scanner {
	height: 100%;
}

.container-qr {
	height: calc(100% - 60px);

	display: flex;
    align-items: center;
    justify-content: center;
}

.container-qr > div {
	background:
		linear-gradient(to right, #fff 4px, transparent 4px) 0 0,
		linear-gradient(to right, #fff 4px, transparent 4px) 0 100%,
		linear-gradient(to left, #fff 4px, transparent 4px) 100% 0,
		linear-gradient(to left, #fff 4px, transparent 4px) 100% 100%,
		linear-gradient(to bottom, #fff 4px, transparent 4px) 0 0,
		linear-gradient(to bottom, #fff 4px, transparent 4px) 100% 0,
		linear-gradient(to top, #fff 4px, transparent 4px) 0 100%,
		linear-gradient(to top, #fff 4px, transparent 4px) 100% 100%;

	background-repeat: no-repeat;
	background-size: 20px 20px;
}



@keyframes move-in {
	from {
		left: 100vw;
	}
	to {
		left: 0;
	}
}

@keyframes move-out {
	from {
		left: 0;
	}
	to {
		left: -100vw;
	}
}

@keyframes move-back-in {
	from {
		left: -100vw;
	}
	to {
		left: 0;
	}
}

@keyframes move-back-out {
	from {
		left: 0;
	}
	to {
		left: 100vw;
	}
}
